Package org.eclipse.emf.cdo.server

# Interface IStoreFactory.ParameterAware

All Superinterfaces:
  `org.eclipse.net4j.util.ParameterAware`

Enclosing interface:
  `IStoreFactory`

@Deprecated public static interface IStoreFactory.ParameterAware extends org.eclipse.net4j.util.ParameterAware
Deprecated.
As of 4.20 use `ParameterAware`.
An extension interface for `store factories` that want to receive parameters.

Since:
  4.10
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`setParameters(Map<String,String> parameters)`
Deprecated.

## Method Details

### setParameters

void setParameters(Map<String,String> parameters)
Deprecated.

Specified by:
  `setParameters` in interface `org.eclipse.net4j.util.ParameterAware`